classification
Title: Allow customization of CSS class name of a month in calendar module
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: cheryl.sabella, doerwalter, rhettinger, serhiy.storchaka, thatiparthy, xtreak
Priority: normal Keywords: patch

Created on 2018-10-26 17:26 by thatiparthy, last changed 2019-02-15 00:00 by cheryl.sabella.

Pull Requests
URL Status Linked Edit
PR 10137 open thatiparthy, 2018-10-26 17:30
Messages (5)
msg328651 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-27 15:04
We don't usually do pure refactoring changes.
msg328653 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-10-27 16:29
Serhiy, this adds a change where month's name CSS class is now customizable in LocaleHTMLCalendar. It's currently hard-coded as "month" though HTMLCalendar is customizable. I suggested method reuse since LocaleHTMLCalendar from HTMLCalendar that would fix this instead of duplicating the code. I think this can be reopened.
msg328654 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-27 16:32
Sorry, I was fooled by misleading titles and news entry. Please change them.
msg328655 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-10-27 16:43
No problem, I have left a PR comment [0] to add the actual enhancement in the NEWS entry so that it's visible. The original issue title was "Allow customization of css class name of a month in calendar module" and @thatiparthy changed the issue title and PR to "Refactor code in calendar.py module" maybe due to my solution causing little confusion.

@thatiparthy I am changing the issue title to "Allow customization of CSS class name of a month in calendar module"

[0] https://github.com/python/cpython/pull/10137#pullrequestreview-169047050

Thanks
msg335576 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-15 00:00
Issue 30095 enhanced the `HTMLCalendar` code to allow easier customization of the CSS classes.  This PR extends that to the existing `LocaleHTMLCalendar`. 

Adding @doerwalter to the nosy list as he merged #30095.
History
Date User Action Args
2019-02-15 00:00:40cheryl.sabellasetnosy: + doerwalter, cheryl.sabella
messages: + msg335576
2018-10-27 16:58:59serhiy.storchakasetnosy: + rhettinger
2018-10-27 16:43:34xtreaksettype: enhancement
messages: + msg328655
title: Refactor code in calendar.py module -> Allow customization of CSS class name of a month in calendar module
2018-10-27 16:32:49serhiy.storchakasetstatus: closed -> open
resolution: rejected ->
messages: + msg328654

stage: resolved -> patch review
2018-10-27 16:29:07xtreaksetmessages: + msg328653
2018-10-27 15:04:58serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg328651

resolution: rejected
stage: patch review -> resolved
2018-10-27 06:51:16thatiparthysettitle: Allow customization of css class name of a month in calendar module -> Refactor code in calendar.py module
2018-10-26 18:07:26xtreaksetnosy: + xtreak
2018-10-26 17:30:44thatiparthysetkeywords: + patch
stage: patch review
pull_requests: + pull_request9467
2018-10-26 17:26:56thatiparthycreate